> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a pipeline stage



## OpenAPI

````yaml /generated/specs/sales.json put /api/v1/pipelines/{id}/stages/{stageId}
openapi: 3.0.0
info:
  title: Raul API - Ventas
  description: >-
    Cotizaciones, pipeline, outreach comercial, equipos cotizables y ventas de
    equipamiento.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/pipelines/{id}/stages/{stageId}:
    put:
      tags:
        - pipelines
      summary: Update a pipeline stage
      operationId: PipelineController_updateStage
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: stageId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCampaignPipelineStageDto'
      responses:
        '200':
          description: Stage updated
        '403':
          description: Requiere rol admin
        '404':
          description: Pipeline or stage not found
components:
  schemas:
    UpdateCampaignPipelineStageDto:
      type: object
      properties:
        name:
          type: string
          example: Propuesta Actualizada
        color:
          type: string
          example: '#EF4444'
        order:
          type: number
          example: 2
        is_won:
          type: boolean
          example: true
        is_lost:
          type: boolean
          example: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.